<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="4bc3f606-f8a6-442f-bcd2-7a447bf84afb" name="Default Changelist" comment="" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DatabaseView">
    <option name="SHOW_INTERMEDIATE" value="true" />
    <option name="GROUP_DATA_SOURCES" value="true" />
    <option name="GROUP_SCHEMA" value="true" />
    <option name="GROUP_CONTENTS" value="false" />
    <option name="SORT_POSITIONED" value="false" />
    <option name="SHOW_EMPTY_GROUPS" value="false" />
    <option name="AUTO_SCROLL_FROM_SOURCE" value="false" />
    <option name="HIDDEN_KINDS">
      <set />
    </option>
    <expand>
      <path>
        <item name="Database" type="3277223f:DatabaseStructure$DbRootGroup" />
        <item name="@localhost" type="feb32156:DbDataSourceImpl" />
      </path>
      <path>
        <item name="Database" type="3277223f:DatabaseStructure$DbRootGroup" />
        <item name="db" type="feb32156:DbDataSourceImpl" />
      </path>
      <path>
        <item name="Database" type="3277223f:DatabaseStructure$DbRootGroup" />
        <item name="db" type="feb32156:DbDataSourceImpl" />
        <item name="schemas" type="d4e8921:DatabaseStructure$FamilyGroup" />
      </path>
      <path>
        <item name="Database" type="3277223f:DatabaseStructure$DbRootGroup" />
        <item name="db" type="feb32156:DbDataSourceImpl" />
        <item name="schemas" type="d4e8921:DatabaseStructure$FamilyGroup" />
        <item name="main: schema" type="981a47c2:SqliteImplModel$Schema" />
      </path>
    </expand>
    <select />
  </component>
  <component name="DjangoConsoleOptions" custom-start-script="import sys; print('Python %s on %s' % (sys.version, sys.platform))&#10;import django; print('Django %s' % django.get_version())&#10;sys.path.extend([WORKING_DIR_AND_PYTHON_PATHS])&#10;if 'setup' in dir(django): django.setup()&#10;import django_manage_shell; django_manage_shell.run(PROJECT_ROOT)">
    <option name="myCustomStartScript" value="import sys; print('Python %s on %s' % (sys.version, sys.platform))&#10;import django; print('Django %s' % django.get_version())&#10;sys.path.extend([WORKING_DIR_AND_PYTHON_PATHS])&#10;if 'setup' in dir(django): django.setup()&#10;import django_manage_shell; django_manage_shell.run(PROJECT_ROOT)" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/movie/settings.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="222">
              <caret line="40" column="16" selection-start-line="40" selection-start-column="16" selection-end-line="40" selection-end-column="16" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/movie2app/views.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="297">
              <caret line="20" column="4" selection-start-line="20" selection-start-column="4" selection-end-line="20" selection-end-column="4" />
              <folding>
                <element signature="e#0#26#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/movie2app/urls.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="81">
              <caret line="3" column="26" selection-start-line="3" selection-start-column="26" selection-end-line="3" selection-end-column="26" />
              <folding>
                <element signature="e#0#32#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/templates/movie2.html">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="329">
              <caret line="118" column="35" selection-start-line="118" selection-start-column="35" selection-end-line="118" selection-end-column="35" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="HTML File" />
        <option value="Python Script" />
      </list>
    </option>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/movieapp/views.py" />
        <option value="$PROJECT_DIR$/movieapp/urls.py" />
        <option value="$PROJECT_DIR$/templates/movie.html" />
        <option value="$PROJECT_DIR$/movie/__init__.py" />
        <option value="$PROJECT_DIR$/movieapp/admin.py" />
        <option value="$PROJECT_DIR$/movieapp/models.py" />
        <option value="$PROJECT_DIR$/movie2app/models.py" />
        <option value="$PROJECT_DIR$/movie/urls.py" />
        <option value="$PROJECT_DIR$/tmovieapp/url.py" />
        <option value="$PROJECT_DIR$/movie2app/url.py" />
        <option value="$PROJECT_DIR$/movie2app/urls.py" />
        <option value="$PROJECT_DIR$/movie/settings.py" />
        <option value="$PROJECT_DIR$/templates/movie2.html" />
        <option value="$PROJECT_DIR$/movie2app/views.py" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="7">
    <option name="x" value="10" />
    <option name="y" value="20" />
    <option name="width" value="1346" />
    <option name="height" value="688" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="movie" type="b2602c69:ProjectViewProjectNode" />
              <item name="movie" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="movie" type="b2602c69:ProjectViewProjectNode" />
              <item name="movie" type="462c0819:PsiDirectoryNode" />
              <item name="movie" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="movie" type="b2602c69:ProjectViewProjectNode" />
              <item name="movie" type="462c0819:PsiDirectoryNode" />
              <item name="movie2app" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="movie" type="b2602c69:ProjectViewProjectNode" />
              <item name="movie" type="462c0819:PsiDirectoryNode" />
              <item name="movieapp" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="movie" type="b2602c69:ProjectViewProjectNode" />
              <item name="movie" type="462c0819:PsiDirectoryNode" />
              <item name="templates" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="DatabaseDriversLRU" value="mysql" />
    <property name="DefaultHtmlFileTemplate" value="HTML File" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="database.console.LAST_STATE" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="settings.editor.selected.configurable" value="com.jetbrains.python.configuration.PyActiveSdkModuleConfigurable" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration name="movie" type="Python.DjangoServer" factoryName="Django server">
      <module name="movie" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
        <env name="DJANGO_SETTINGS_MODULE" value="movie.settings" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="" />
      <option name="IS_MODULE_SDK" value="false" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <option name="launchJavascriptDebuger" value="false" />
      <option name="port" value="8000" />
      <option name="host" value="" />
      <option name="additionalOptions" value="" />
      <option name="browserUrl" value="" />
      <option name="runTestServer" value="false" />
      <option name="runNoReload" value="false" />
      <option name="useCustomRunCommand" value="false" />
      <option name="customRunCommand" value="" />
      <method v="2" />
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="4bc3f606-f8a6-442f-bcd2-7a447bf84afb" name="Default Changelist" comment="" />
      <created>1562212530809</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1562212530809</updated>
      <workItem from="1562212538980" duration="4236000" />
      <workItem from="1562226555126" duration="4302000" />
      <workItem from="1562291675466" duration="10674000" />
      <workItem from="1562826074155" duration="9388000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="28600000" />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1382" height="744" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.14145234" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info active="true" anchor="bottom" id="Run" order="2" visible="true" weight="0.28641573" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" weight="0.3289689" />
      <window_info anchor="bottom" id="Docker" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="8" />
      <window_info anchor="bottom" id="Database Changes" order="9" show_stripe_button="false" />
      <window_info anchor="bottom" id="Event Log" order="10" side_tool="true" />
      <window_info anchor="bottom" id="Terminal" order="11" weight="0.22585924" />
      <window_info anchor="bottom" id="Python Console" order="12" weight="0.3289689" />
      <window_info anchor="bottom" id="Database Console" order="13" weight="0.3289689" />
      <window_info anchor="bottom" id="manage.py@movie" order="14" weight="0.3289689" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="SciView" order="3" />
      <window_info anchor="right" id="Database" order="4" weight="0.32980332" />
    </layout>
    <layout-to-restore>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.14145234" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.28641573" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" weight="0.3289689" />
      <window_info anchor="bottom" id="Docker" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="8" />
      <window_info anchor="bottom" id="Database Changes" order="9" show_stripe_button="false" />
      <window_info anchor="bottom" id="Event Log" order="10" side_tool="true" />
      <window_info anchor="bottom" id="Terminal" order="11" visible="true" weight="0.22585924" />
      <window_info anchor="bottom" id="Python Console" order="12" weight="0.3289689" />
      <window_info anchor="bottom" id="Database Console" order="13" weight="0.3289689" />
      <window_info anchor="bottom" id="manage.py@movie" order="14" weight="0.3289689" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="SciView" order="3" />
      <window_info anchor="right" id="Database" order="4" weight="0.32980332" />
    </layout-to-restore>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/../zhuce/zhuce/settings.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="189">
          <caret line="79" column="8" selection-start-line="79" selection-start-column="8" selection-end-line="80" selection-end-column="53" />
        </state>
      </provider>
    </entry>
    <entry file="das://23727383-08a4-48c8-be04-af6a2d2d27d5/schema/main/table/movieapp_student">
      <provider selected="true" editor-type-id="com.intellij.database.editor.DatabaseTableFileEditorProvider">
        <state projectRestartId="e92d6527-fd78-4395-aec8-1424ec517450">
          <filtering>
            <filter text="" />
          </filtering>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/movieapp/__init__.py">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/movie/__init__.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="27">
          <caret line="1" column="17" selection-start-line="1" selection-start-column="17" selection-end-line="1" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/movieapp/admin.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="162">
          <caret line="6" selection-start-line="6" selection-end-line="6" />
          <folding>
            <element signature="e#0#32#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/movieapp/models.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="216">
          <caret line="8" column="25" selection-start-line="8" selection-start-column="25" selection-end-line="8" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/tmovieapp/admin.py">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/tmovieapp/models.py">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/templates/movie.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="243">
          <caret line="9" column="14" selection-start-line="9" selection-start-column="14" selection-end-line="9" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/tmovieapp/url.py">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/movieapp/urls.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="54">
          <caret line="2" lean-forward="true" selection-start-line="2" selection-end-line="2" />
          <folding>
            <element signature="e#0#32#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/movie2app/url.py">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/movie2app/models.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="216">
          <caret line="11" column="12" selection-start-line="11" selection-start-column="6" selection-end-line="11" selection-end-column="12" />
          <folding>
            <element signature="e#468#507#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/movie/urls.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="100">
          <caret line="15" selection-start-line="15" selection-end-line="15" selection-end-column="32" />
          <folding>
            <element signature="e#629#670#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/venv/Lib/site-packages/django/core/paginator.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="135">
          <caret line="51" lean-forward="true" selection-start-line="51" selection-end-line="51" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/movie/settings.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="222">
          <caret line="40" column="16" selection-start-line="40" selection-start-column="16" selection-end-line="40" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/movieapp/views.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="221">
          <caret line="16" column="24" selection-start-line="16" selection-start-column="17" selection-end-line="16" selection-end-column="24" />
          <folding>
            <element signature="e#0#36#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/movie2app/urls.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="81">
          <caret line="3" column="26" selection-start-line="3" selection-start-column="26" selection-end-line="3" selection-end-column="26" />
          <folding>
            <element signature="e#0#32#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/templates/movie2.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="329">
          <caret line="118" column="35" selection-start-line="118" selection-start-column="35" selection-end-line="118" selection-end-column="35" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/movie2app/views.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="297">
          <caret line="20" column="4" selection-start-line="20" selection-start-column="4" selection-end-line="20" selection-end-column="4" />
          <folding>
            <element signature="e#0#26#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>